PrefabFiles = 
{
	"mushgarden",
	"mushgarden_big",
}

Assets = 
{
    Asset("ATLAS", "images/inventoryimages/mushgarden.xml"),
    Asset("ATLAS", "images/inventoryimages/mushgarden_big.xml"),
	
	    Asset( "IMAGE", "minimap/mushgarden.tex" ),
	    Asset( "ATLAS", "minimap/mushgarden.xml" ),
	  
	    Asset( "IMAGE", "minimap/mushgarden_big.tex" ),
	    Asset( "ATLAS", "minimap/mushgarden_big.xml" ),
}
AddMinimapAtlas("minimap/mushgarden.xml")
AddMinimapAtlas("minimap/mushgarden_big.xml")



STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH



	GLOBAL.STRINGS.NAMES.MUSHGARDEN = "Mush Garden"
	STRINGS.RECIPE_DESC.MUSHGARDEN = "Mush Mix"
	GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHGARDEN = "Fungi"
	
local Normal = (GetModConfigData("GARDENCOST")=="Normal")
local Survivor = (GetModConfigData("GARDENCOST")=="Survivor")
local Easy = (GetModConfigData("GARDENCOST")=="Easy")

if  (GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)) and Normal then
    local mushgarden = GLOBAL.Recipe("mushgarden",
{ 
        
        Ingredient("cutgrass", 6),
        Ingredient("green_cap", 3),
		Ingredient("red_cap", 3),
		Ingredient("blue_cap", 3),
		Ingredient("boards", 4),
        Ingredient("poop", 4)
},
        RECIPETABS.FARM, TECH.NONE,GLOBAL.RECIPE_GAME_TYPE.COMMON,"mushgarden_placer" )
        mushgarden.atlas = "images/inventoryimages/mushgarden.xml"	
		
else

if  (GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)) and Easy then
    local mushgarden = GLOBAL.Recipe("mushgarden",
{ 
        
        Ingredient("cutgrass", 4),
        Ingredient("green_cap", 2),
		Ingredient("red_cap", 2),
		Ingredient("blue_cap", 2),
		Ingredient("boards", 2),
        Ingredient("poop", 2)
},
        RECIPETABS.FARM, TECH.NONE,GLOBAL.RECIPE_GAME_TYPE.COMMON,"mushgarden_placer" )
        mushgarden.atlas = "images/inventoryimages/mushgarden.xml"	
		
else

if  (GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)) and Survivor then
    local mushgarden = GLOBAL.Recipe("mushgarden",
{ 
        
        Ingredient("cutgrass", 12),
        Ingredient("green_cap", 6),
		Ingredient("red_cap", 6),
		Ingredient("blue_cap", 6),
		Ingredient("boards", 6),
        Ingredient("poop", 6)
},
        RECIPETABS.FARM, TECH.NONE,GLOBAL.RECIPE_GAME_TYPE.COMMON,"mushgarden_placer" )
        mushgarden.atlas = "images/inventoryimages/mushgarden.xml"	
		
else

if Normal then		
local mushgarden = GLOBAL.Recipe("mushgarden",
{ 
        
        Ingredient("cutgrass", 6),
        Ingredient("green_cap", 3),
		Ingredient("red_cap", 3),
		Ingredient("blue_cap", 3),
		Ingredient("boards", 4),
        Ingredient("poop", 4)
},
        RECIPETABS.FARM, TECH.NONE,"mushgarden_placer" )
        mushgarden.atlas = "images/inventoryimages/mushgarden.xml"	
		
else
if Easy then
local mushgarden = GLOBAL.Recipe("mushgarden",
{ 
        
        Ingredient("cutgrass", 4),
        Ingredient("green_cap", 2),
		Ingredient("red_cap", 2),
		Ingredient("blue_cap", 2),
		Ingredient("boards", 2),
        Ingredient("poop", 2)
},
        RECIPETABS.FARM, TECH.NONE,"mushgarden_placer" )
        mushgarden.atlas = "images/inventoryimages/mushgarden.xml"

else
if Survivor then
local mushgarden = GLOBAL.Recipe("mushgarden",
{ 
        
        Ingredient("cutgrass", 12),
        Ingredient("green_cap", 6),
		Ingredient("red_cap", 6),
		Ingredient("blue_cap", 6),
		Ingredient("boards", 6),
        Ingredient("poop", 6)
},
        RECIPETABS.FARM, TECH.NONE,"mushgarden_placer" )
        mushgarden.atlas = "images/inventoryimages/mushgarden.xml"
		
					end
				end
			end
		end
	end
end
		
	
		
	GLOBAL.STRINGS.NAMES.MUSHGARDEN_BIG = "Mush Gigantum"
	STRINGS.RECIPE_DESC.MUSHGARDEN_BIG = "Mush Tree mix"
	GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHGARDEN_BIG = "gigantastic!"
	
local Normalbig = (GetModConfigData("BIGGARDENCOST")=="Normal")
local Survivorbig = (GetModConfigData("BIGGARDENCOST")=="Survivor")
local Easybig = (GetModConfigData("BIGGARDENCOST")=="Easy")

if  (GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)) and Normalbig then
    local mushgarden_big = GLOBAL.Recipe("mushgarden_big",
{ 
        
        Ingredient("cutgrass", 12),
        Ingredient("green_cap", 6),
		Ingredient("red_cap", 6),
		Ingredient("blue_cap", 6),
		Ingredient("boards", 6),
        Ingredient("poop", 6)
},
        RECIPETABS.FARM, TECH.NONE,GLOBAL.RECIPE_GAME_TYPE.COMMON,"mushgarden_big_placer" )
        mushgarden_big.atlas = "images/inventoryimages/mushgarden_big.xml"	
else

if  (GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)) and Easybig then
    local mushgarden_big = GLOBAL.Recipe("mushgarden_big",
{ 
        
        Ingredient("cutgrass", 8),
        Ingredient("green_cap", 4),
		Ingredient("red_cap", 4),
		Ingredient("blue_cap", 4),
		Ingredient("boards", 4),
        Ingredient("poop", 4)
},
        RECIPETABS.FARM, TECH.NONE,GLOBAL.RECIPE_GAME_TYPE.COMMON,"mushgarden_big_placer" )
        mushgarden_big.atlas = "images/inventoryimages/mushgarden_big.xml"	

else
if  (GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)) and Survivorbig then
    local mushgarden_big = GLOBAL.Recipe("mushgarden_big",
{ 
        
        Ingredient("cutgrass", 20),
        Ingredient("green_cap", 10),
		Ingredient("red_cap", 10),
		Ingredient("blue_cap", 10),
		Ingredient("boards", 10),
        Ingredient("poop", 10)
},
        RECIPETABS.FARM, TECH.NONE,GLOBAL.RECIPE_GAME_TYPE.COMMON,"mushgarden_big_placer" )
        mushgarden_big.atlas = "images/inventoryimages/mushgarden_big.xml"
		
else		
if Normalbig then 
local mushgarden_big = GLOBAL.Recipe("mushgarden_big",
{ 

        Ingredient("cutgrass", 12),
        Ingredient("green_cap", 6),
		Ingredient("red_cap", 6),
		Ingredient("blue_cap", 6),
		Ingredient("boards", 6),
        Ingredient("poop", 6)
},
        RECIPETABS.FARM, TECH.NONE,"mushgarden_big_placer" )
        mushgarden_big.atlas = "images/inventoryimages/mushgarden_big.xml"

else
if Easybig then
local mushgarden_big = GLOBAL.Recipe("mushgarden_big",
{ 

        Ingredient("cutgrass", 8),
        Ingredient("green_cap", 4),
		Ingredient("red_cap", 4),
		Ingredient("blue_cap", 4),
		Ingredient("boards", 4),
        Ingredient("poop", 4)
},
        RECIPETABS.FARM, TECH.NONE,"mushgarden_big_placer" )
        mushgarden_big.atlas = "images/inventoryimages/mushgarden_big.xml"
		
else
if Survivorbig then
local mushgarden_big = GLOBAL.Recipe("mushgarden_big",
{ 

        Ingredient("cutgrass", 20),
        Ingredient("green_cap", 10),
		Ingredient("red_cap", 10),
		Ingredient("blue_cap", 10),
		Ingredient("boards", 10),
        Ingredient("poop", 10)
},
        RECIPETABS.FARM, TECH.NONE,"mushgarden_big_placer" )
        mushgarden_big.atlas = "images/inventoryimages/mushgarden_big.xml"
		
					end
				end
			end
		end
	end
end
	
		
	--local mushgarden=Recipe("mushgarden",{ Ingredient("cutgrass", 6), Ingredient("green_cap", 3), Ingredient("red_cap", 3), Ingredient("blue_cap", 3), Ingredient("boards", 4), Ingredient("poop", 4) },
	--RECIPETABS.FARM, TECH.SCIENCE_ONE, "mushgarden_placer")
	---mushgarden.atlas="images/inventoryimages/mushgarden.xml"
		--note: .xml and .tex are assets in the prefab file
					
	---local mushgarden_big=Recipe("mushgarden_big",{ Ingredient("cutgrass", 12), Ingredient("green_cap", 6), Ingredient("red_cap", 6), Ingredient("blue_cap", 6), Ingredient("boards", 6), Ingredient("poop", 6) },
	---RECIPETABS.FARM, TECH.SCIENCE_ONE, "mushgarden_big_placer")
	----mushgarden_big.atlas"images/inventoryimages/mushgarden_big.xml"
		--note: .xml and .tex are assets in the prefab file